<?php
/*
$Id: peripheriquenonaffecte.class.php,v 1.6 2006-12-22 14:18:46 fgiva Exp $
*/
require_once ("formulaire.class.php");
require_once ("peripheriquetout.class.php");

class peripheriquenonaffecte extends peripheriquetout {

function peripheriquenonaffecte($id,&$db,$DEBUG) {
$this->constructeur($id,$db,$DEBUG);
} // fin constructeur

/*function setVal(&$form,$maj,$validation,&$db,$idx=0){
include ("../dyn/connexion.php");
include ("../sql/".$dsn['phptype']."/".$this->table.".form.inc");
parent::setVal($form,$maj,$validation,$db,$idx);
if ($maj == 0){
  if ($validation==0) {
    $form->setVal('idetatelement',4); //en stock par defaut à la création
  }
} 
}*/

function setType(&$form,$maj) {   //modele,fournisseur,bc,dateachat,numserie à vérouiller
  parent::setType($form,$maj); 
  if ($maj == 0) {
    $form->setType('numero', 'text');
    $form->setType('idetatelement', 'hidden');
  }
}

function setSelect(&$form, $maj,$db,$debug) {
  include ("../dyn/connexion.php");
  include ("../sql/".$dsn['phptype']."/".$this->table.".form.inc");
  parent::setSelect($form, $maj,$db,$debug);
  if($maj<2){
    if ($maj==0) {
       $contenu="";
       $contenu[0]=$modele[0]["peripheriquetout"];
       $contenu[1]=$modele[1]["peripheriquetout"];
       $form->setSelect("typeelement",$contenu);
    }
  }
}

}// fin de classe
?>